const React = require("react");

function ArchiveIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M3 5a1 1 0 011-1h16a1 1 0 011 1v3H3V5z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M9.5 13h5"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M4 8h16v11a1 1 0 01-1 1H5a1 1 0 01-1-1V8z"
  })));
}

const ForwardRef = React.forwardRef(ArchiveIcon);
module.exports = ForwardRef;