const React = require("react");

function CalendarIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M4 6a1 1 0 011-1h14a1 1 0 011 1v4H4V6z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M8 6.5v-3"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M16 6.5v-3"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M4 10h16v9a1 1 0 01-1 1H5a1 1 0 01-1-1v-9z"
  })));
}

const ForwardRef = React.forwardRef(CalendarIcon);
module.exports = ForwardRef;