const React = require("react");

function ChatsIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M9.88235 15C13.261 15 16 12.5376 16 9.5C16 6.46243 13.261 4 9.88235 4C6.50367 4 3.76471 6.46243 3.76471 9.5C3.76471 10.3179 3.96327 11.094 4.31942 11.7917L3 15L6.82353 14.2642C7.72335 14.7322 8.76806 15 9.88235 15Z"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M10.8042 18.1242C11.759 18.6784 12.8966 19 14.1176 19C15.2319 19 16.2766 18.7322 17.1765 18.2642L21 19L19.6806 15.7917C20.0367 15.094 20.2353 14.3179 20.2353 13.5C20.2353 12.2553 19.7754 11.1071 19 10.1854C18.251 9.29505 17.2076 8.61598 16 8.26526"
  }), /*#__PURE__*/React.createElement("circle", {
    r: 1,
    fill: "currentColor",
    transform: "matrix(-1 0 0 1 13 9.5)"
  }), /*#__PURE__*/React.createElement("circle", {
    r: 1,
    fill: "currentColor",
    transform: "matrix(-1 0 0 1 10 9.5)"
  }), /*#__PURE__*/React.createElement("circle", {
    r: 1,
    fill: "currentColor",
    transform: "matrix(-1 0 0 1 7 9.5)"
  }));
}

const ForwardRef = React.forwardRef(ChatsIcon);
module.exports = ForwardRef;