const React = require("react");

function CloudSunIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M10 3.5V3m-6.5 7H3m11.596-4.596l.354-.354m-9.546.354L5.05 5.05M9 13.036a3.484 3.484 0 011.975.99M12.645 7a4 4 0 00-6.59 3.666M5 16.5A3.5 3.5 0 008.5 20h9.75a2.75 2.75 0 00.734-5.4 5 5 0 00-9.614-1.491A3.504 3.504 0 005 16.5z"
  }));
}

const ForwardRef = React.forwardRef(CloudSunIcon);
module.exports = ForwardRef;