const React = require("react");

function FlagIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M6 5v15"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M13 5.5V4H7a1 1 0 00-1 1v8h7v1.5h7v-9h-7zm0 0v3"
  })));
}

const ForwardRef = React.forwardRef(FlagIcon);
module.exports = ForwardRef;