const React = require("react");

function MapIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M15.5 7v9.5m-7 .5V8.5M3.521 6.716l4.553-2.483a1 1 0 01.872-.042l6.108 2.618a1 1 0 00.872-.042l3.595-1.96A1 1 0 0121 5.685v10.721a1 1 0 01-.521.878l-4.553 2.483a1 1 0 01-.872.042L8.946 17.19a1 1 0 00-.872.042l-3.595 1.96A1 1 0 013 18.315V7.595a1 1 0 01.521-.878z"
  }));
}

const ForwardRef = React.forwardRef(MapIcon);
module.exports = ForwardRef;