const React = require("react");

function MoustacheIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M21 12.57c-4 1.733-4-4.767-9-1.767-5-3-5 3.5-9 1.767 1 4.233 6 4.233 9 1.233 3 3 8 3 9-1.233Z"
  }));
}

const ForwardRef = React.forwardRef(MoustacheIcon);
module.exports = ForwardRef;