const React = require("react");

function PhoneCallIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M12.636 4A7.364 7.364 0 0 1 20 11.364M13 8a3 3 0 0 1 3 3M7 6l-2.485.621c-.89.223-1.534 1.029-1.352 1.928 1.06 5.213 7.075 11.228 12.288 12.287.9.183 1.705-.46 1.928-1.35l.62-2.486-3.5-2-1.5 1.5c-2-1-4.5-3.5-5.5-5.5L9 9.5 7 6Z"
  }));
}

const ForwardRef = React.forwardRef(PhoneCallIcon);
module.exports = ForwardRef;