const React = require("react");

function PhoneForwardIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M13.36 6.75h7.779m0 0-2.828 2.828m2.828-2.828-2.828-2.828M8 5l-2.485.621c-.89.223-1.534 1.029-1.352 1.928 1.06 5.213 7.075 11.228 12.288 12.287.9.183 1.705-.46 1.928-1.35l.62-2.486-3.5-2-1.5 1.5c-2-1-4.5-3.5-5.5-5.5L10 8.5 8 5Z"
  }));
}

const ForwardRef = React.forwardRef(PhoneForwardIcon);
module.exports = ForwardRef;