const React = require("react");

function PhoneIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M6.515 4.621 9 4l2 3.5L9.5 9c1 2 3.5 4.5 5.5 5.5l1.5-1.5 3.5 2-.621 2.485c-.223.89-1.029 1.534-1.928 1.351-5.213-1.06-11.228-7.074-12.287-12.287-.183-.9.46-1.705 1.35-1.928Z"
  }));
}

const ForwardRef = React.forwardRef(PhoneIcon);
module.exports = ForwardRef;