const React = require("react");

function PieChartIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M20.488 15A9.004 9.004 0 0 1 12 21 9 9 0 0 1 9 3.512M12 3a9 9 0 0 1 9 9h-9V3Z"
  }));
}

const ForwardRef = React.forwardRef(PieChartIcon);
module.exports = ForwardRef;