const React = require("react");

function TagIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M4 10.586V5a1 1 0 011-1h5.586a1 1 0 01.707.293l8.5 8.5a1 1 0 010 1.414l-5.586 5.586a1 1 0 01-1.414 0l-8.5-8.5A1 1 0 014 10.586z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 8.5,
    cy: 8.5,
    r: 1.5,
    fill: "currentColor"
  }));
}

const ForwardRef = React.forwardRef(TagIcon);
module.exports = ForwardRef;