const React = require("react");

function TagsIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M3 10.95V6a1 1 0 011-1h4.95a1 1 0 01.707.293l7.636 7.636a1 1 0 010 1.415l-4.95 4.949a1 1 0 01-1.414 0l-7.636-7.636A1 1 0 013 10.948z"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M15.636 20l5.657-5.656a1 1 0 000-1.415L13.363 5"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 6.5,
    cy: 8.5,
    r: 1.5,
    fill: "currentColor"
  }));
}

const ForwardRef = React.forwardRef(TagsIcon);
module.exports = ForwardRef;