import * as React from "react";

function BasketIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "m5 10 1.36 8.164a1 1 0 0 0 .987.836h9.306a1 1 0 0 0 .986-.836L19 10M5 10h3m-3 0H4m15 0h-3m3 0h1M8 10l1-5m-1 5h8m0 0-1-5m-6 9v1m6-1v1m-3-1v1"
  }));
}

const ForwardRef = React.forwardRef(BasketIcon);
export default ForwardRef;