import * as React from "react";

function BookIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M18 16V4H8a2 2 0 00-2 2v12"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18 20H8a2 2 0 110-4h10c-.673 1.613-.66 2.488 0 4z"
  })));
}

const ForwardRef = React.forwardRef(BookIcon);
export default ForwardRef;