import * as React from "react";

function BookOpenIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M12 8.618V17.5m0-8.882a1 1 0 00-.553-.894l-.491-.246a7 7 0 00-4.12-.669l-.773.11A8 8 0 014.93 7H4v10h.38a8 8 0 002.197-.308l.553-.158a5 5 0 013.61.336l1.26.63m0-8.882a1 1 0 01.553-.894l.491-.246a7 7 0 014.12-.669l.773.11c.375.054.753.081 1.131.081H20v10h-.38a8 8 0 01-2.197-.308l-.553-.158a5 5 0 00-3.61.336L12 17.5"
  }));
}

const ForwardRef = React.forwardRef(BookOpenIcon);
export default ForwardRef;