import * as React from "react";

function CodeIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M7 8l-4 4 4 4"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10.5 18l3-12"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M17 8l4 4-4 4"
  })));
}

const ForwardRef = React.forwardRef(CodeIcon);
export default ForwardRef;