import * as React from "react";

function DatabaseIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M20 12c0 1.657-3.582 3-8 3s-8-1.343-8-3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20 18c0 1.657-3.582 3-8 3s-8-1.343-8-3"
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 12,
    cy: 6,
    rx: 8,
    ry: 3
  }), /*#__PURE__*/React.createElement("path", {
    d: "M4 6v12"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20 6v12"
  })));
}

const ForwardRef = React.forwardRef(DatabaseIcon);
export default ForwardRef;