import * as React from "react";

function FlaskIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M9.5 10V4h5v6l4.743 5.174A2.88 2.88 0 0117.12 20H6.88a2.88 2.88 0 01-2.123-4.826L9.5 10z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M8.5 4h7"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6 14c3.5 2 4 0 6 0s2.5 2 6 0"
  })));
}

const ForwardRef = React.forwardRef(FlaskIcon);
export default ForwardRef;