import * as React from "react";

function GiftIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M12 9V6a3 3 0 10-3 3h3zm0 0V7a2 2 0 112 2h-2zm-7 4v7a1 1 0 001 1h12a1 1 0 001-1v-7m-7-3v11m8-8v-3a1 1 0 00-1-1H5a1 1 0 00-1 1v3h16z"
  }));
}

const ForwardRef = React.forwardRef(GiftIcon);
export default ForwardRef;