import * as React from "react";

function LayersIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "currentColor",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M4 8l8-4 8 4-8 4-8-4z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M4 12l8 4 8-4"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M4 16l8 4 8-4"
  })));
}

const ForwardRef = React.forwardRef(LayersIcon);
export default ForwardRef;