import * as React from "react";

function MicrophoneOffIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M4 4l16 16M6.5 10.5A5.5 5.5 0 0012 16v4m-4 0h4m0 0h4M9.5 9V6.5a2.5 2.5 0 015 0v4a2.5 2.5 0 01-1.5 2.292m4.5-2.292c0 1.93-.803 3.523-2.309 4.504"
  }));
}

const ForwardRef = React.forwardRef(MicrophoneOffIcon);
export default ForwardRef;