import * as React from "react";

function PackageIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "m4 8 8 4M4 8v8l8 4M4 8l4-2m4 6 4-2m-4 2v8m8-12-8-4-4 2m12 2v8l-8 4m8-12-4 2m0 0L8 6"
  }));
}

const ForwardRef = React.forwardRef(PackageIcon);
export default ForwardRef;