import * as React from "react";

function PhoneOffIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M14 13.906c.34.232.677.432 1 .594l1.5-1.5 3.5 2-.621 2.485c-.223.89-1.03 1.534-1.93 1.351-1.8-.366-3.695-1.323-5.449-2.634m-2.265-1.967C7.455 11.95 5.693 9.15 5.164 6.55c-.183-.9.46-1.706 1.35-1.929L9 4l2 3.5L9.5 9c.48.959 1.303 2.032 2.251 3M5 19 19 5"
  }));
}

const ForwardRef = React.forwardRef(PhoneOffIcon);
export default ForwardRef;