import * as React from "react";

function ShareAltIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M14.437 7.912a2.5 2.5 0 1 0 4.127-2.824 2.5 2.5 0 0 0-4.127 2.824Zm0 0-4.96 3.394m0 0a3 3 0 1 0 .236 2.979m-.237-2.98c.33.483.524 1.066.524 1.695 0 .46-.103.895-.288 1.285m0 0 4.528 2.145m0 0a2.5 2.5 0 1 0 4.52 2.141 2.5 2.5 0 0 0-4.52-2.142Z"
  }));
}

const ForwardRef = React.forwardRef(ShareAltIcon);
export default ForwardRef;