import * as React from "react";

function StormIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M13.5 10l-3 5h4l-3 5.5M8 8.036a3.484 3.484 0 011.975.99M7.5 15a3.5 3.5 0 11.87-6.891 5.002 5.002 0 019.614 1.49A2.751 2.751 0 0117.25 15"
  }));
}

const ForwardRef = React.forwardRef(StormIcon);
export default ForwardRef;