const React = require("react");

function CapsuleFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-7 -1.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10 9.858H0v-4a5 5 0 1 1 10 0v4zm0 2v4a5 5 0 0 1-10 0v-4h10z"
  }));
}

const ForwardRef = React.forwardRef(CapsuleFIcon);
module.exports = ForwardRef;