const React = require("react");

function CastleIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10 8v9h6V8h-6zm8 11H0v-7a2 2 0 0 1 2-2h2a2 2 0 0 1 2 2h2V8a2 2 0 0 1-2-2V2a2 2 0 0 1 2-2h2a2 2 0 0 1 2 2h2a2 2 0 0 1 2-2h2a2 2 0 0 1 2 2v4a2 2 0 0 1-2 2v11zM8 17v-3H4v-2H2v5h6zM8 2v4h10V2h-2v2h-6V2H8zm5 11a2 2 0 0 1 2 2v3h-4v-3a2 2 0 0 1 2-2zm-1-4h2a1 1 0 0 1 0 2h-2a1 1 0 0 1 0-2z"
  }));
}

const ForwardRef = React.forwardRef(CastleIcon);
module.exports = ForwardRef;