const React = require("react");

function EggIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-4 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M8 18a6 6 0 0 0 6-6c0-4.221-3.418-10-6-10S2 7.779 2 12a6 6 0 0 0 6 6zm0 2a8 8 0 0 1-8-8C0 7.582 3.582 0 8 0s8 7.582 8 12a8 8 0 0 1-8 8z"
  }));
}

const ForwardRef = React.forwardRef(EggIcon);
module.exports = ForwardRef;