const React = require("react");

function FeatherFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-1.5 -1.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "m16.393 12.029-4.461-1.196 3.018-3.018a1 1 0 1 0-1.414-1.414l-.897.897-1.195-4.462.677-.677a5 5 0 0 1 7.071 7.07l-2.799 2.8zm-1.633 1.633-3.766 3.766-5.318-.339 4.623-4.623 4.461 1.196zM4.343 15.594l1.414 1.414-3.535 3.535A1 1 0 1 1 .808 19.13l3.45-3.45-.326-5.331L9.811 4.47l1.195 4.462-6.663 6.663z"
  }));
}

const ForwardRef = React.forwardRef(FeatherFIcon);
module.exports = ForwardRef;