const React = require("react");

function FlickrCircleIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -1.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("circle", {
    cx: 7.364,
    cy: 10.379,
    r: 2.364
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 12.628,
    cy: 10.379,
    r: 2.364
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10 18.494a8 8 0 1 0 0-16 8 8 0 0 0 0 16zm0 2c-5.523 0-10-4.478-10-10 0-5.523 4.477-10 10-10s10 4.477 10 10c0 5.522-4.477 10-10 10z"
  }));
}

const ForwardRef = React.forwardRef(FlickrCircleIcon);
module.exports = ForwardRef;