const React = require("react");

function GiftIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-4 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M3 12v6h10v-6H3zm11.437-5.952A2 2 0 0 1 16 8v2a2 2 0 0 1-1.017 1.742c.011.084.017.17.017.258v6a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2v-6c0-.087.006-.174.017-.258A2 2 0 0 1 0 10V8a2 2 0 0 1 1.563-1.952A4 4 0 0 1 8 1.354a4 4 0 0 1 6.437 4.694zM14 8H2v2h12V8zM7 4a2 2 0 1 0-2 2h2V4zm2 2h2a2 2 0 1 0-2-2v2zM7 7h2v12H7V7z"
  }));
}

const ForwardRef = React.forwardRef(GiftIcon);
module.exports = ForwardRef;