const React = require("react");

function MessengerIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M3.683 16.418C1.436 14.722 0 12.14 0 9.248 0 4.14 4.477 0 10 0s10 4.14 10 9.248c0 5.107-4.477 9.248-10 9.248a10.77 10.77 0 0 1-2.96-.412l-3.357 1.891v-3.557zm5.25-9.703-5.394 5.66 4.908-2.67 2.565 2.67 5.362-5.66-4.853 2.622-2.589-2.622z"
  }));
}

const ForwardRef = React.forwardRef(MessengerIcon);
module.exports = ForwardRef;