const React = require("react");

function MusicIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-7 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M7.954 12.304V1a1 1 0 0 1 1-1h.028a1 1 0 0 1 1 1v14.065c.197 1.969-1.42 3.99-3.874 4.693-2.69.772-5.368-.333-5.98-2.468-.612-2.135 1.073-4.491 3.764-5.263 1.47-.421 2.935-.283 4.062.277zm-2.4 5.521c1.698-.487 2.645-1.81 2.37-2.77-.276-.961-1.78-1.582-3.478-1.095-1.698.487-2.645 1.81-2.37 2.771.276.96 1.78 1.581 3.478 1.094z"
  }));
}

const ForwardRef = React.forwardRef(MusicIcon);
module.exports = ForwardRef;