const React = require("react");

function PageBreakIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M1 6h2a1 1 0 1 1 0 2H1a1 1 0 1 1 0-2Zm10 0h2a1 1 0 0 1 0 2h-2a1 1 0 0 1 0-2ZM6 6h2a1 1 0 1 1 0 2H6a1 1 0 1 1 0-2ZM0 1a1 1 0 1 1 2 0v2.014h10V1a1 1 0 0 1 2 0v2.014a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V1Zm0 12.014V11a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2v2.014a1 1 0 0 1-2 0V11H2v2.014a1 1 0 0 1-2 0Z"
  }));
}

const ForwardRef = React.forwardRef(PageBreakIcon);
module.exports = ForwardRef;