const React = require("react");

function SnowboardFIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M18.504 1.47a3.608 3.608 0 0 1-.263 5.34c-3.097 2.541-5.131 4.296-6.101 5.266-.97.97-2.725 3.004-5.266 6.101a3.608 3.608 0 0 1-5.34.263 3.48 3.48 0 0 1 .291-5.183A72.408 72.408 0 0 0 13.321 1.761a3.48 3.48 0 0 1 5.183-.291zm-7.071 7.07a1 1 0 1 0 1.414-1.413 1 1 0 0 0-1.414 1.414zM7.19 12.785a1 1 0 1 0 1.414-1.415 1 1 0 0 0-1.414 1.415z"
  }));
}

const ForwardRef = React.forwardRef(SnowboardFIcon);
module.exports = ForwardRef;