const React = require("react");

function TemplateIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M6 12h5a1 1 0 0 0 1-1V6H6v6Zm-2 0V6H2v5a1 1 0 0 0 1 1h1Zm8-9a1 1 0 0 0-1-1H3a1 1 0 0 0-1 1v1h10V3ZM3 0h8a3 3 0 0 1 3 3v8a3 3 0 0 1-3 3H3a3 3 0 0 1-3-3V3a3 3 0 0 1 3-3Z"
  }));
}

const ForwardRef = React.forwardRef(TemplateIcon);
module.exports = ForwardRef;