const React = require("react");

function TotemIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M8 18h4V3a1 1 0 0 0-1-1H9a1 1 0 0 0-1 1v15zm6 .268A2 2 0 0 1 15 20H5a2 2 0 0 1 1-1.732V3a3 3 0 0 1 3-3h2a3 3 0 0 1 3 3v15.268zM9 9h2v2H9V9zm1-4a1 1 0 1 1 0-2 1 1 0 0 1 0 2zM1.286 6h17.433a1 1 0 0 1 .97 1.243l-1.31 5.242A2 2 0 0 1 16.439 14H3.588a2 2 0 0 1-1.939-1.507L.317 7.246A1 1 0 0 1 1.286 6zm1.286 2 1.017 4h12.85l1-4H2.571z"
  }));
}

const ForwardRef = React.forwardRef(TotemIcon);
module.exports = ForwardRef;