const React = require("react");

function TwitchIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2.5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M1.25 0 0 3.75V17.5h5V20h2.5l2.5-2.5h3.75l5-5.325V0H1.25zM17.5 11.25 14 15H9.568l-2.693 1.959V15H2.5V1.25h15v10z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8.75 5H10v5H8.75zm3.75 0h1.25v5H12.5z"
  }));
}

const ForwardRef = React.forwardRef(TwitchIcon);
module.exports = ForwardRef;