import * as React from "react";

function CoffeeIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M1.232 4.976A1.5 1.5 0 0 1 1.5 2H2a2 2 0 0 1 2-2h6a2 2 0 0 1 2 2h.5a1.5 1.5 0 0 1 .268 2.976l-.448 3.805a1.991 1.991 0 0 1 .399 1.467l-.5 4a1.996 1.996 0 0 1-.693 1.279l-.422 3.59a1 1 0 0 1-.993.883H3.889a1 1 0 0 1-.993-.883l-.422-3.59a1.996 1.996 0 0 1-.693-1.279l-.5-4a1.994 1.994 0 0 1 .4-1.467l-.449-3.805zM3.25 5l.353 3h6.796l.353-3H3.249zm.517 9h6.468l.5-4H3.266l.5 4zm.777 2 .235 2h4.444l.235-2H4.543z"
  }));
}

const ForwardRef = React.forwardRef(CoffeeIcon);
export default ForwardRef;