import * as React from "react";

function CropIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M15 17H7a4 4 0 0 1-4-4V5H1a1 1 0 1 1 0-2h2v-4 2a1 1 0 1 1 2 0v2h8a4 4 0 0 1 4 4v8h2a1 1 0 0 1 0 2h-2v4-2a1 1 0 0 1-2 0v-2zm0-2V7a2 2 0 0 0-2-2H5v8a2 2 0 0 0 2 2h8z"
  }));
}

const ForwardRef = React.forwardRef(CropIcon);
export default ForwardRef;