import * as React from "react";

function FlaskIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M6 2v5.938l-1.142.542a5 5 0 1 0 4.284 0L8 7.938V2H6zM4 6.674V0h6v6.674a7 7 0 1 1-6 0zM3.535 11h6.93a4 4 0 1 1-6.93 0zM4 0h6a1 1 0 0 1 0 2H4a1 1 0 1 1 0-2z"
  }));
}

const ForwardRef = React.forwardRef(FlaskIcon);
export default ForwardRef;