import * as React from "react";

function FlickrIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -7 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("circle", {
    cx: 4.727,
    cy: 4.757,
    r: 4.727
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 15.255,
    cy: 4.757,
    r: 4.727
  }));
}

const ForwardRef = React.forwardRef(FlickrIcon);
export default ForwardRef;