import * as React from "react";

function HelmetIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M15 18h2a1 1 0 0 0 1-1v-2h-3v3zm-2-8a3 3 0 0 0-3 3h3v-3zm2 0v3h5v4a3 3 0 0 1-3 3h-4v-5h-3v5c-.447-.011-.78-.028-1-.05-5.053-.5-9-4.764-9-9.95C0 4.477 4.477 0 10 0c5.178 0 9.437 3.936 9.949 8.98.022.223.04.563.051 1.02h-5zm-7 3a5 5 0 0 1 5-5h4.749A8.006 8.006 0 0 0 10 2a8 8 0 0 0-8 8 8.006 8.006 0 0 0 6 7.749V13zm-2-3a2 2 0 1 1 0-4 2 2 0 0 1 0 4z"
  }));
}

const ForwardRef = React.forwardRef(HelmetIcon);
export default ForwardRef;