import * as React from "react";

function HourglassIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-6 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M3 2v4a3 3 0 1 0 6 0V2H3zm8 16a1 1 0 0 1 0 2H1a1 1 0 0 1 0-2v-4a4.99 4.99 0 0 1 2-4 4.992 4.992 0 0 1-2-4V2a1 1 0 1 1 0-2h10a1 1 0 0 1 0 2v4a4.992 4.992 0 0 1-2 4 4.99 4.99 0 0 1 2 4v4zm-2 0v-4a3 3 0 0 0-6 0v4h6z"
  }));
}

const ForwardRef = React.forwardRef(HourglassIcon);
export default ForwardRef;