import * as React from "react";

function InfiniteIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -6.5 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M5.5 9a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7zM11 5.5a3.5 3.5 0 1 0 .668-2.057 6.483 6.483 0 0 0-1.001-1.887A5.5 5.5 0 1 1 10 8.663 5.5 5.5 0 1 1 11 5.5z"
  }));
}

const ForwardRef = React.forwardRef(InfiniteIcon);
export default ForwardRef;