import * as React from "react";

function TicketIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-6 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10 9H8a1 1 0 1 1 0-2h2V2.001a4.999 4.999 0 0 1-8 0V7h2a1 1 0 1 1 0 2H2v8.999a4.999 4.999 0 0 1 8 0V9zM0 20V0h3.17a3.001 3.001 0 0 0 5.66 0H12v20H8.83a3.001 3.001 0 0 0-5.66 0H0z"
  }));
}

const ForwardRef = React.forwardRef(TicketIcon);
export default ForwardRef;