import * as React from "react";

function TrainIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-4 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M4 15h8a2 2 0 0 0 2-2v-2H2v2a2 2 0 0 0 2 2zm8.813 1.917A2 2 0 0 1 11.131 20H4.87a2 2 0 0 1-1.682-3.083A4.001 4.001 0 0 1 0 13V4a4 4 0 0 1 4-4h8a4 4 0 0 1 4 4v9a4.001 4.001 0 0 1-3.187 3.917zM14 9V4a2 2 0 0 0-2-2H4a2 2 0 0 0-2 2v5h12zm-2-6a1 1 0 0 1 1 1v3a1 1 0 0 1-2 0V4a1 1 0 0 1 1-1zM4 14a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm8 0a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm-7.131 4h6.262l-.666-1h-4.93l-.666 1z"
  }));
}

const ForwardRef = React.forwardRef(TrainIcon);
export default ForwardRef;