import * as React from "react";

function TreeIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-5 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "m10.728 5.547-.632-.446-.167-.755a3.002 3.002 0 0 0-5.858 0l-.167.755-.632.446A3 3 0 1 0 6.2 10.75l.801-.35.8.35a3 3 0 0 0 2.927-5.204zM8 12.9V19a1 1 0 0 1-2 0v-6.1a5 5 0 0 1-3.882-8.987 5.002 5.002 0 0 1 9.764 0A5 5 0 0 1 8 12.9z"
  }));
}

const ForwardRef = React.forwardRef(TreeIcon);
export default ForwardRef;