import * as React from "react";

function UmbrellaIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-2 -2 24 24",
    width: 24,
    height: 24,
    fill: "currentColor",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M10 3a8.003 8.003 0 0 0-7.748 6h15.496C16.86 5.55 13.728 3 10 3zm-1 8H0c0-5.186 3.947-9.45 9.001-9.95L9 1a1 1 0 1 1 1.999.05C16.053 1.55 20 5.813 20 11h-9v6a1 1 0 0 0 2 0 1 1 0 0 1 2 0 3 3 0 0 1-6 0v-6z"
  }));
}

const ForwardRef = React.forwardRef(UmbrellaIcon);
export default ForwardRef;